#!/bin/bash

target_domain=$1
if [[ -z "${target_domain}" ]]; then
    echo "target_domain should not be null. Usage: ./${0} <target_domain>"
    exit 1
fi

while true;
do
  date
  cat chinese_public_dns.list | grep -v '#' | grep '.' | xargs -I {} dig +time=5 +tries=1 @{} ${target_domain} > /dev/null 2>&1
  sleep 60
done
